Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunityMembership

    java.lang.Object
      com.bea.netuix.application.communities.CommunityMembership

All Implemented Interfaces
  Serializable

    public class CommunityMembership

extends Object
implements Serializable

CommunityMembership - value object class that contains information about a membership of a `CommuntityMember` to a `Community`.

See Also
  Serialized Form

Field Summary
`protected boolean` | `active`
`protected HashSet<MembershipCapability>` | `capabilities`
`protected CommunityDefinitionId` | `cDefinitionId`
`static boolean` | `DEFAULT_ACTIVE`
`protected Boolean` | `hasAdminCapability`
`protected CommunityMembershipId` | `id`
`protected Date` | `joinDate`
`protected Date` | `lastAccess`
`protected CommunityMember` | `member`

Method Summary
`boolean` | `equals(Object o)`
`Collection<MembershipCapability>` | `getCapabilities()` Gets a list of all membership capabilities this membership has.
`CommunityDefinitionId` | `getCommunityDefinitionId()` Gets the CommunityDefinitionId for the community this membership belongs to.
`CommunityMembershipId` | `getId()` Gets the `CommunityMembershipId` of this object.
`Date` | `getJoinDate()` Retrieves the date this membership was created.
`Date` | `getLastAccessDate()` Retrieves the last recorded access date for this membership.
`CommunityMember` | `getMember()` Gets the `CommunityMember` object for the user associated with this membership.
`CommunityMemberId` | `getMemberId()` Gets the member ID of the member associated with this membership.
`boolean` | `hasAdminCapability()`
`boolean` | `hasCapability(MembershipCapability capability)` Determines if this membership has the specified capability.
`int` | `hashCode()`
`boolean` | `isActive()` Determines if this membership is marked as active-- this does not completely indicate whether the member can access this community.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected CommunityMembershipId id

### member

    protected CommunityMember member

### cDefinitionId

    protected CommunityDefinitionId cDefinitionId

### active

    protected boolean active

### capabilities

    protected HashSet<MembershipCapability> capabilities

### hasAdminCapability

    protected Boolean hasAdminCapability

### lastAccess

    protected Date lastAccess

### joinDate

    protected Date joinDate

### DEFAULT_ACTIVE

    public static final boolean DEFAULT_ACTIVE

See Also
  Constants Summary

Method Detail

### getId

    public CommunityMembershipId getId()

  Gets the `CommunityMembershipId` of this object.

  Returns
    the `CommunityMembershipId` of this object.

### getMemberId

    public CommunityMemberId getMemberId()

  Gets the member ID of the member associated with this membership.

  Returns
    the member ID of the member associated with this membership.

### getMember

    public CommunityMember getMember()

  Gets the `CommunityMember` object for the user associated with this membership.

  Returns
    the `CommunityMember` object for the user associated with this membership.

### getCommunityDefinitionId

    public CommunityDefinitionId getCommunityDefinitionId()

  Gets the CommunityDefinitionId for the community this membership belongs to.

  Returns
    the CommunityDefinitionId for the community this membership belongs to.

### isActive

    public boolean isActive()

  Determines if this membership is marked as active-- this does not completely indicate whether the member can access this community. If the `CommunityMember` object for the user has been marked inactive, or if the community is disabled, the membership may be inaccessible to the user.

  Returns
    `true` if this membership is marked as active, `false` otherwise.
  See Also
    `MembershipCriteria.setMembershipAccessible(boolean)`, `CommunityContext.isMembershipActive()`, `com.bea.netuix.servlets.manager.communities.CommunityContext#checkPermissions()`

### hasCapability

    public boolean hasCapability(MembershipCapability capability)

  Determines if this membership has the specified capability.

  Parameters
    `capability` - the membership capability to look for.
  Returns
    `true` if this membership has the specified capability, `false` otherwise.

### hasAdminCapability

    public boolean hasAdminCapability()

### getCapabilities

    public Collection<MembershipCapability> getCapabilities()

  Gets a list of all membership capabilities this membership has.

  Returns
    a list of all membership capabilities this membership has.

### getLastAccessDate

    public Date getLastAccessDate()

  Retrieves the last recorded access date for this membership. If access tracking is turned off for the community, or if the membership has never been accessed, this may be null.

  Returns
    the last recorded access date for this membership. May be null if access tracking is turned off for the community and the membership access date has not been updated by application code, or if the membership has never been accessed.

### getJoinDate

    public Date getJoinDate()

  Retrieves the date this membership was created.

  Returns
    the date this membership was created.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved